using FluentNHibernate.Mapping;

namespace Tiger.Game.Habbos;

public class BadgeMap : ClassMap<Badge>
{
    public BadgeMap()
    {
        Table("habbo_badges");
        LazyLoad();
        Id(b => b.Id).Column("id").GeneratedBy.Identity();
        References(b => b.Habbo).Column("habbo_id").Not.Nullable();
        Map(b => b.Code).Column("code").Not.Nullable();
        Map(b => b.Slot).Column("slot").Not.Nullable();
    }
}