namespace Tiger.Game.Rooms;

public interface IRoomManager
{
    IDictionary<int, RoomPrivateCategory> PrivateCategories { get; }
    IDictionary<int, RoomModel> RoomModels { get; }
    Task LoadPrivateCategoriesAsync();
    Task LoadRoomModels();
}