using Tiger.Communication.Messages.Interfaces;
using Tiger.Communication.Messages.Types;

namespace Tiger.Communication.Messages.Outgoing.Navigator;

public class NavigatorCollapsedComposer : IMessageComposer
{
    public OutgoingHeaders Header => OutgoingHeaders.NavigatorCollapsed;
    public void Compose(ServerMessage message)
    {
        message.AppendInt32(1);
        message.AppendString("official");
    }
}