using FluentNHibernate.Mapping;

namespace Tiger.Game.Catalogue;

public class ClubOfferMap : ClassMap<ClubOffer>
{
    public ClubOfferMap()
    {
        Table("catalogue_club_offers");
        Id(co => co.Id).Column("id").GeneratedBy.Identity();
        Map(co => co.Name).Column("name").Not.Nullable();
        Map(co => co.PriceCredits).Column("price_credits").Not.Nullable();
        Map(co => co.PriceActivitypoints).Column("price_activitypoints").Not.Nullable();
        Map(co => co.ActivitypointsType).Column("activitypoints_type").Not.Nullable();
        Map(co => co.Days).Column("days").Not.Nullable();
        Map(co => co.DiscountExtension).Column("discount_extension").Not.Nullable();
    }
}