using FluentNHibernate.Mapping;

namespace Tiger.Game.Settings;

public class SettingMap : ClassMap<Setting>
{
    public SettingMap()
    {
        Table("settings");
        Id(s => s.Key).Column("skey").Not.Nullable();
        Map(s => s.Value).Column("value").Not.Nullable();
    }
}